---
title: 【AIGC：PPT】GPT-3.5自动化PPT工作流
tags: []
id: '2180'
categories:
  - - uncategorized
date: 2023-03-26 13:58:50
---

PPT是现代商务中不可或缺的工具，它可以帮助我们展示自己的想法、产品或服务。但是，创建一个高质量的PPT需要花费大量的时间和精力。幸运的是，现在有一种名为GPT-3.5的人工智能模型可以帮助我们自动化PPT工作流程。（本文例子：[sharegpt](https://sharegpt.com/c/SF1zvi1)）

## 第一步 搜集资料

```txt
颈部包块也称颈部肿块。颈部由于其特定的解剖结构,由于肿瘤、炎症、畸形或一些内分泌疾病等所形成的颈部包块,相对容易发现。包块可由病人自己、他人或在医师体格检查时被发现。有时病人把舌骨、喉等正常结构误认为是包块,应通过检查明确。

病因

1.肿瘤 甲状腺瘤甲状腺癌、恶性淋巴瘤淋巴结转移癌甲状旁腺肿瘤、血管瘤
2.肿块瘤样结节性甲状腺肿舌下囊肿。
3.炎症急慢性淋巴结炎、颈淋巴结结核涎腺炎软组织化脓性感染。
4.先天畸形 甲状腺舌管囊肿胸腺咽管囊肿颈部囊性淋巴管瘤颈动脉体瘤神经源性肿瘤。

体征

1.视诊 面对病人,充分暴露颈部,注意包括所在的位置形状大小表面皮肤颜色包块周围血管情况,以及颈部活动、吞咽动作对包块的影响。
2.触诊 是颈部包块的主要检查方法,可面向病人,或从病人后面检查。仔细触诊,了解包块的形状、大小、硬度、个数、表面情况、移动度,有无压痛、颤和搏动感。一般囊性肿块,如甲状舌骨囊肿甲状腺囊肿,多是圆形、有弹性、孤立可随吞咽上下移动;癌肿多是粘连、界线不清、表面不光滑;有震颤和搏动,多与颈动脉病变及甲状腺功能亢进有关。
3.听诊 颈总颈内颈外动脉瘤可听到收缩期杂音。动静脉痿可听到收缩期与舒张期杂音。甲状腺功能亢进症可听到动静脉杂音。
4全面的体格检查 由于包块可能是全身性疾病和邻近器官病变引起,进行全身仔细的体格检查对颈部包块的鉴别也有重要意义

常见包块

甲状腺功能亢进症
病史：女性、中年,有甲状腺功能亢进的高代谢综合征等表现
包块特点：甲状腺为弥漫性肿大,包块随吞咽上下移动.对称质地不等无压痛。甲状腺上下极可触及震颤包块上可闻及血管杂音
伴随症状与体征：甲状腺功能亢进症的单纯性突眼或浸润性突眼征

淋巴结转移癌
病史：多在40岁后
包块特点：颈上部淋巴结肿大质硬,多为鼻咽癌:颈下部和锁骨上淋巴结多个肿大、质硬,多为食管癌、胃癌、肺癌、乳腺癌等
伴随症状与体征：鼻咽癌有头痛、鼻出血、鼻塞、耳鸣;食管癌有吞咽困难肺癌有血痰咳嗽、胸痛

颈部血管瘤
病史：临床好发于儿童和青少年，常以出生后发现就诊
包块特点： 颈部血管瘤常为无痛性质软包块，多为海绵状血管瘤，发生于部肌肉、肌间或皮下软组织内，部分血管瘤内血栓发生圆点状钙化而形成静脉石。
伴随症状与体征：皮下出血 吞咽困难 杂音 触摸时搏动

鉴别诊断

1.病史
(1)发现包块的情况:无意中发现的包块,多为囊肿或肿瘤;先由疼痛后发现包块者,多为炎症引起;出生后即存在,多是先天性囊肿。
(2)包块存在的时间:数周以上,多为肿瘤:一周以内,多为炎症。
2.伴随症状和体征
(1)全身症状,低热、虚弱消瘦考虑淋巴结结核或转移性肿瘤
(2)高代谢症状群特有眼征者,是甲状腺功能亢进症。
(3)双侧颈前淋巴结肿大、压痛,稍后又出现颈后淋巴结也肿大,多见于链球菌性咽炎和感染性单核细胞增多症。
(4)单侧颈部淋巴结肿大,压痛,多见于牙、鼻窦耳和面部皮肤感染。
(5)吸烟者伴鼻涕带血颈前淋巴结肿大质硬,应怀疑鼻咽癌。
(6)单个颈部包块,随后伴有局部淋巴结肿大,较固定晚期甚至使甲状腺不能随吞咽上下移动,考虑甲状腺癌。
```

*   主题：颈部包块诊断与鉴别诊断
*   围绕主题，从《诊断学》等教材上搜集相应的资料，利用OCR得到以上资料文本

## 第二步 生成PPT大纲

*   将资料以System的角色输入
*   以用户身份输入以下prompt：`请根据资料生成一份PPT大纲，用markdown格式，大段文字请提取要点关键词，但不要漏掉知识点`

## 第三步 MD文件转Word

*   所用工具：[pandoc](https://github.com/jgm/pandoc/releases)
*   将GPT生成的大纲保存为markdown文件
*   在MD文件目录执行：`pandoc.exe -s jbbk.md -o jbbk.docx`

## 第四步 Word格式化

*   技巧1：word开始菜单下的右侧的选择，下拉，选择所有相似的格式
*   技巧2：格式化点两次可以固定一个格式刷
*   每一页PPT为标题1，内容依次为标题2、3等等

![](https://img-cdn.limour.top/i/2023/03/26/64204d9778426.png)

转化完成的导航  
（按下“Ctrl”和“F”键，即可呼出导航面板。）

## 第五步 大纲生成PPT

*   新建一个PPT
*   开始菜单下的新建幻灯片，下拉，幻灯片(从大纲)，选择第四步的word文件
*   通过ondrive，使用MS 365的设计菜单栏的设计器，对每一个PPT自动美化

## 最终效果展示

![](https://img-cdn.limour.top/i/2023/03/26/64204edd797d3.png)