---
title: 实用免疫学（八）适应性免疫番外篇一：抗原
tags: []
id: '1738'
categories:
  - - 巨塔砖石
date: 2022-03-01 14:59:35
---

适应性免疫的激活离不开抗原。抗原是能被TCR和BCR特异性识别，促使抗原特异性T、B细胞活化、增殖和分化，产生免疫应答效应产物，并与之结合，进而发挥适应性免疫应答效应的物质。其有两个重要且独立的特性：免疫原性和抗原性（免疫反应性）。

*   免疫原性：诱导适应性免疫应答的能力
*   抗原性：与免疫效应产物结合的能力

不具有免疫原性的小分子半抗原可以是大分子蛋白质载体共价结合获得免疫原性。（青霉素与血浆蛋白、过敏接触性皮炎：脂溶性小分子穿过细胞膜与蛋白结合）

## 免疫原性

免疫原性的本质是异物性。抗原与机体之间的亲缘关系越远，组织结构差异越大，异物性越强，免疫原性也越强。

*   异种物质：病原体、动物蛋白
*   同种异体物质：ABO血型抗原 MHC
*   化学、物理、生物修饰等改变的自身成分
*   被屏障隔离与免疫系统之外的免疫豁免部位的自身组织成分：眼晶状体蛋白（交感性眼炎）

异物性产生的原因（免疫耐受的产生原因）？

克隆选择学说：淋巴细胞在中枢免疫器官发育阶段，由共同的前体细胞发育而成，其细胞表面有抗原识别受体，之前会经历抗原受体可变区胚系基因重排，其识别受体不同，（此时骨髓胸腺血屏障阻止了接触非己物质，如果失效，则会发生自身免疫疾病）自身反应性淋巴细胞遭遇自身抗原发生凋亡被克隆清除。发育成熟的外周淋巴细胞库识别非己物质，被克隆选择出来，活化、增殖和分化为效应细胞，清除抗原。

*   免疫系统清除异物，发挥免疫防御功能
*   自身免疫耐受，维护内环境稳定

## 抗原特异性

决定抗原特异性的分子结构基础是抗原表位／抗原决定基。

ELISA（双抗体夹心法）检测乙肝病毒表面抗原：HBSAg阳性乙肝病人血清，再加酶标记的抗HBSAg抗体。

BCR与抗体的可变区决定基因相同，因此识别的抗原特异性相同。

MHC呈递抗原时，抗原已经被裂解，因此T细胞表位是线性表位，可以在抗原分子的任意部位。由于MHC只能与短肽形成复合物，因此T细胞只能识别短肽。

细胞荚膜多糖含有重复相同B细胞表位，可以交联BCR，是多价抗原。球蛋白等虽然不是多价抗原，但含有多种不同的表位。

有共同抗原表位为交叉抗原，可以发生交叉反应：溶血性链球菌感染后患者发生心肌炎、急性肾小球肾炎。

## 抗原分子的性质

*   蛋白质>多糖类和脂多糖；DNA、组蛋白通常无免疫原性（自身免疫疾病有抗自身双链DNA抗体）
*   分子量越大，表位越多，免疫原性越强
*   分子结构越复杂，免疫原性较强（外源性胰岛素抵抗综合征）
*   分子构象：
*   易接近性：被淋巴细胞抗原性所接近的程度
*   物理状态：颗粒、多聚体强
*   遗传因素：MHC
*   年龄、性别和健康状态：青壮年强、雌性比雄性强、怀孕弱

## 抗原进入机体的方式

*   剂量效应：一定范围内正相关，低与高都会耐受
*   抗原进入机体方式：间隔频率和次数
*   免疫佐剂：不改变抗原特异性，改变应答类型和强度

## 胸腺依赖与非依赖

*   胸腺依赖性抗原：TD－Ag
*   诱导B细胞活化和产生抗体需要T细胞的辅助
*   绝大多数蛋白质抗原属于TD－Ag
*   含多种表位，T＆B
*   抗体类别转换：IgE、G、A
*   抗体亲和力成熟、免疫记忆

*   胸腺非依赖性抗原：TI－Ag
*   诱导B细胞活化和产生抗体，无需T细胞辅助
*   TI－1Ag：B细胞丝裂原：LPS；非特异性（高浓度PAMP、菌体抗原，经TLR4激活不同抗原特异性B细胞）和特异性（低浓度LPS，经BCR和TLR4双信号，抗原特异性B细胞被选择和激活，产生抗体针对该抗原）
*   TI－2Ag：多价B细胞抗原：肺炎球菌荚膜多糖、细菌聚合鞭毛素；特异性
*   体液免疫；IgM为主
*   快速且强烈的二次反应

## Th对B细胞活化的辅助

*   BCR识别抗原上的B细胞表位，提供第一信号
*   B细胞内吞抗原，作为APC，将T细胞表位呈递给T细胞，使T细胞活化为Th细胞
*   T－B通过CD40／CD40L侨联，提供B细胞活化的第二信号
*   抗原特异性B细胞双信号活化

## 超抗原 SAg

外源性SAg：细菌外毒素；内源性SAg：感染哺乳动物细胞的某种逆转录病毒蛋白

低浓度非特异激活20％＋免疫细胞活化。