---
title: 实用免疫学（六）适应性免疫：细胞免疫二 CTL细胞
tags: []
id: '1732'
categories:
  - - 巨塔砖石
date: 2022-03-07 11:36:44
---

DC细胞提呈外源性抗原激活Th细胞，对于内源性抗原和进入细胞内的抗原，则通过所有有核细胞的MHCI类分子进行呈递。（病毒感染细胞合成病毒蛋白、肿瘤细胞合成肿瘤蛋白、吞噬体中逃逸至细胞质中的抗原、ER中折叠错误的自身蛋白）

## 抗原肽-MHCI复合物的形成

*   第一步 内源性抗原降解成抗原肽
*   胞质内的靶蛋白和泛素结合，被蛋白酶体的帽子结构识别，被剪切成多肽
*   蛋白酶体为中空圆柱体结构，分为具有酶活性的两个β内环和不具有酶活性的两个α外环，β内环中有三个具有含有水解蛋白的活性位点亚基
*   在IFN-γ刺激下，蛋白酶体β内环中的三个活性亚基被LMP取代，变成具有全新底物特异性和产物特异性的免疫蛋白酶体，其产物为常为6~30个氨基酸残基且C端多为疏水性或碱性氨基酸的多肽，更适合被内质网膜上的TAP（抗原相关转运物）转运至内质网腔

*   第二步 抗原肽转运至内质网
*   抗原肽与TAP结合后，TAP发生ATP依赖性蛋白构象改变，开放孔道。胞质内的抗原肽进入内质网腔，在与MHCI类分子结合过程中会被ERAP（抗原肽氨基肽酶）进一步修剪为8~12个氨基酸残基
*   TAP是一种异二聚体（TAP1/2），TAP1、2各跨越内质网膜6次，形成孔样结构，依赖ATP对肽段进行主动转运

*   第三步 抗原肽-MHCI复合物组装
*   MHCI类分子的α链和β链在内质网中合成，Tapasin（TAP相关蛋白）介导新合成的MHCI类分子和TAP结合，在伴侣蛋白的作用下，MHCI类分子组装为二聚体，其α1/2功能区构成抗原肽结合槽，与修剪后的抗原肽结合形成复合物，复合物与Tapasin解离
*   伴侣蛋白参与α链的折叠，α/β链的组装；Erp57（羟基氧化还原酶）催化MHCI类分子功能区二硫键的断裂和重建，使抗原肽更加稳定

*   第四步 抗原肽-MHCI类分子复合物在细胞表面表达
*   复合物经高尔基体转运至细胞表面，等待CD8+T细胞识别

## CTL细胞的产生

CD8+T细胞在CD8的协助下，通过αβTCR识别抗原肽-MHCI分子复合物，通过与[Th细胞活化](https://limour.top/1722.html)类似的方式，激活成CTL细胞

*   CD8分子：αβ链通过二硫键形成的异源二聚体，
*   2条肽链均为跨膜蛋白，胞膜外区各含1个Ig样结构，能与MHCI类分子重链的α3结构域结合

如果病原体直接感染专职APC细胞，则直接刺激CD8＋T细胞产生IL-2，诱导CTL细胞自身增殖分化为CTL

否则，在病灶区被第一信号激活的CD8＋T细胞需要Th1细胞分泌的IL2和被Th1的CD40L上调的APC的B7的第二信号活化。

## CTL细胞的效应

与Th1类似，CTL的归巢表型为选择素配体、CXCR3、CCR5

迁移至感染部位的CTL主要通过特异性识别表达抗原肽-MHCI类分子复合物的靶细胞（主要为病毒感染的细胞或肿瘤细胞），分泌和上调表达多种细胞杀伤分子，导致靶细胞凋亡，且杀伤过程中CTL自身不产生伤害，可连续对多个靶细胞进行杀伤。

*   效-靶细胞结合：CTL高表达黏附分子并特异性识别抗原肽-MHCI类分子复合物，同时形成免疫突触浓集效应分子（为不影响邻近的正常细胞）
*   CTL极化：免疫突触形成后，CTL细胞膜分子/包内成分聚集于细胞一端，对靶细胞发动致死性攻击
*   致死性攻击：  
    穿孔素/颗粒酶：穿孔素使细胞坏死，颗粒酶促进细胞凋亡  
    [死亡受体](https://zhuanlan.zhihu.com/p/42772317)：FasL和靶细胞表面的Fas结合启动FasL介导的外部死亡受体途径的细胞凋亡；TNF-α与TNFR1结合后诱导TNFR1的DD聚集募集衔接蛋白TRADD，TRADD可募集TRAF2、RIP和FADD等信号分子。TRAF2和RIP可激活NF-κB和JNK/AP信号通路，而FADD可以激活Caspase级联反应，衔接蛋白TRADD募集信号分子的差异，决定了细胞的生存或死亡。
*   之后脱离靶细胞，寻找下一个目标
*   CTL也分泌细胞因子参与免疫防御