---
title: 实用免疫学（十）免疫细胞分化关系树
tags: []
id: '1753'
categories:
  - - 巨塔砖石
date: 2022-03-07 11:40:04
---

血细胞由造血器官产生，人胚胎时期的卵黄囊、肝、脾、胸腺和骨髓等器官均具有造血功能，出生后，红骨髓是主要的造血器官。

*   血岛是人类胚胎最早形成血细胞的场所：人胚第三周，卵黄囊壁等处的胚外中胚层细胞团聚而成血岛，开始出现原始的造血干细胞，但仅能向红细胞系分化造血，称为原始造血或胚胎造血。
*   人胚第6周初，造血干细胞随血流迁移至肝，肝开始造血。
*   第9~20周，胎肝是体内主要的造血场所。脾造血也于胚胎第12周开始启动。肝、脾造血期间开始出现多系分化的造血干细胞，包括红细胞系、粒细胞系、巨细胞系，称为定型造血或成人造血。

*   胸腺和淋巴结是淋巴造血的主要场所，其产生淋巴细胞的能力在胚胎第3个月初开始出现，并维持终生。
*   骨髓造血最早出现在胚胎第12周的锁骨。至第20周左右开始真正的骨髓造血，至胚胎后期成为产生人类血细胞的主要器官并维持终生。

骨髓位于骨髓腔中，分红骨髓和黄骨髓，后者仅少量幼稚血细胞，但当机体需要时可转变为前者。红骨髓主要由造血组织和血窦组成，主要分布在扁骨、不规则骨和长骨骺端的骨松质质中，造血功能活跃。

*   造血组织主要由网状组织和造血细胞组成。
*   网状细胞和网状纤维共同构成造血组织的支架，网孔中充满不同发育阶段的各种血细胞以及少量造血干细胞、巨噬细胞、脂肪细胞和基质细胞，这些组织细胞结构共同形成造血诱导微环境，为血细胞提供生存、增殖与分化的场所

*   血窦是管腔大且形状不规则的毛细血管，最终汇入骨髓的中央纵行静脉。
*   血窦壁周围与血窦腔内的单核细胞和巨噬细胞，与血窦壁内皮细胞以及外周的周细胞共同构成造血组织和血液循环之间的骨髓-血屏障，维持造血微环境的稳定并调控血细胞释放入血的过程。

红骨髓造血组织的中HSC（造血干细胞）起源自卵黄囊血岛细胞，体内造血干细胞池的大小和数量终生保持恒定，可以在不同细胞因子的作用下发生分化，逐渐发育为各系前提细胞乃至各种成熟细胞，补充至外周血液循环。

## 总览

*   HSC(造血干细胞) > MPP(多能造血祖细胞)LMPP(淋巴引发的多能祖细胞)
*   MPP > CMP(共同髓系祖细胞)CLP(共同淋巴祖细胞)
*   CMP > MEP(巨核-红细胞祖细胞)GMP(粒-单核细胞祖细胞)
*   LMPP > GMPCLPETP(早期 T 淋巴细胞祖细胞)
*   GMP > Pre-BMP(骨髓前嗜碱-肥大细胞祖细胞)BMCP(脾脏嗜碱-肥大细胞祖细胞)
*   Pre-BMPBMCP > BaP(嗜碱性粒细胞祖细胞)MCP(肥大细胞祖细胞)
*   GMP > EoP(嗜酸性粒细胞祖细胞)
*   GMP > Myeloblast(原粒细胞)
*   GMP > MDP(单核/巨噬-树突细胞祖细胞)
*   MDP > CDP(DC祖细胞)CMoP(共同单核祖细胞)

[![](https://img-cdn.limour.top/blog/20220322202838.png)](https://www.ncbi.nlm.nih.gov/pmc/articles/PMC7342532/)

## 髓系细胞的发生

![](https://img-cdn.limour.top/blog/20220309223210.png)

免疫细胞的家谱图 from [智商捉鸡](https://www.zhihu.com/people/zhi-shang-zhuo-ji-20)

### 红细胞的发生

![](https://img-cdn.limour.top/blog/20220322175301.png)

铁、叶酸和维生素B12是红细胞生成所需的重要物质，其中维生素B12的吸收需要胃的壁细胞产生内因子。红细胞生成受EPO的直接调节，主要由肾皮质肾单位肾小管周围的间质细胞产生。雄激素既可以直接促进红细胞生成，也可通过EPO间接促进红细胞生成，而雌激素可以降低红系祖细胞对EPO的反应而抑制红尘细胞生成。TGFβ、IFN-γ、TNF等则可抑制早期红系祖细胞的增殖。

造血干细胞（CFU-S）在不同造血因子的可以分化为两个谱系：**common myeloid progenitor**（**CFU-GEMM**）和 **common lyphoid progenitor**（**CFU-LSC**）。SCF与GM-CSF、IL-6、IL-3、IL-11、EPO协同促进**CFU-GEMM**数量增加。

*   IL-3促进CFU-GEMM向血小板分化
*   EPO促进CFU-GEMM向早期红系祖细胞（CFU-E）分化

### 粒细胞的发生

*   IL-4促进CFU-GEMM向嗜碱性粒细胞分化
*   G-CSF促进CFU-GEMM向中性粒细胞分化
*   IL-5促进CFU-GEMM向嗜酸性粒细胞分化
*   M-CSF促进CFU-GEMM向单核细胞分化

*   肥大细胞可以分EMPs（血岛的红髓共同前体细胞）来源和HSC来源。前者可分为早期和晚期，早期主要定居在脂肪组织和胸腔中，晚期定居在成体结缔组织中；后者则分布于肠道粘膜组织

### 树突细胞的发生

![](https://img-cdn.limour.top/blog/20220310223625.png)

树突细胞的分化关系

HSC分化为CDP后，在Flt3L作用下，分化为Pre-cDC和Pre-PDC。前者进入外周淋巴组织继续发育，在BATF3作用下发育为cDC1，在IRF4等作用下分化为cDC2；后者在骨髓中依赖E2-2分化为pDC。在某些炎症过程中，单核细胞在CSF1、CSF2等作用下，可以分为为MC（具有DC样特性的单核细胞衍生细胞）

## 淋巴细胞的发生

![](https://img-cdn.limour.top/blog/20220307115534.png)

[http://www.cst-science.com/humanmarkers](http://www.cst-science.com/humanmarkers)

骨髓里的BMSC（骨髓基质细胞，主要包括网状细胞、成纤维细胞、血管内皮细胞和巨噬细胞）及其分泌的多种造血生长因子（如IL3、IL7、SCF等）和细胞外基质构成的微环境，HSC在微环境的作用下，分化为CLP，CLP有三种分化途径：T、B、NK。部分CLP迁移至胸腺形成ETP，其余留在骨髓继续发育。

### NK细胞的发生

CLP发育成NKP（NK前体细胞），在骨髓（BM）和包括扁桃体、脾脏和淋巴结在内的次级淋巴组织（SLT）中发育及成熟。

### T细胞在胸腺中的发育

分为为T细胞的CLP随血流到达胸腺成为ETP，ETP经过一轮分裂，进入DN1阶段。

[![](https://img-cdn.limour.top/blog/20220324002355.png)](https://zhuanlan.zhihu.com/p/58528729)

*   DN1阶段T细胞表达CD44、Kit（SCF受体），不表达CD25，此时未发生TCR重排，TCRα和β基因都出于胚胎(germline)状态
*   DN2阶段，TCRβ区的Dβ与Jβ发生重排，细胞开始表达CD25
*   接着DN3阶段Vβ与DJβ开始重排，β链重排失败的T细胞将停留在DN3阶段，并马上死亡。β链重排成功的T细胞会表达一条临时TCRα，称为pTα（类似于B细胞发育过程的VpreB），与β链引起形成假TCR，该pre-TCR可以与CD3复合物一起在不结合MHC的条件下直接激活下游信号通路，使T细胞停止表达CD25，进入DN4阶段。
*   DN4阶段的T细胞会继续增殖，并停止β链重排，最终表达CD4和CD8进入DP阶段。

胸腺内T细胞绝大多数为DP细胞。一个DP细胞通过扩增，可以产生大量表达相同β链的子代细胞，然后启动α链基因重排，使诸多表达相同β链的子代细胞得以与不同的α链进行组合。由此，在细胞层面进一步丰富了TCR库的多样性。虽然与 Ig轻链基因一样缺少D基因片段，但 TCRα链基因有更多数量的 Jα基因片段，提示 TCRα链基因比 Ig 轻链基因有更多的V-J重排补救机会以表达功能性α链，因此大多数T细胞都能成功重排，产生TCRα:β复合物。

*   胸腺内新生的T细胞中95%为α:β T细胞，只有5%是γ:δ T细胞。
*   γ、δ链基因座也包含V(D)J区和C区，其中γ链只含V和J区片段，δ链含V\\D\\J三种片段，重排方式与αβ链类似。
*   δ链的基因座全部位于α链V区和J区之间，也就是说当α链发生重排时δ链的基因座会全部被删除。γ、δ链重排与α、β链重排同时进行，只有当γ、δ链优先完成重排形成有功能的γδ TCR且α未能完成重排时才会形成γδ T细胞。

DP细胞胚系基因重排的同时，会向胸腺皮层深处迁移，并会接触到胸腺皮层上皮细胞表面的“自体抗原”（self-antigens）。这些自体抗原结合在胸腺上皮细胞表面的MHC分子上，只有与胸腺细胞的MHC分子表现出适当亲和力的T细胞，才能接收到必要的“存活信号”，而无法接收到足够“存活信号”或亲和力过高的T细胞将会凋亡。在这个持续几天的阳性选择过程中，大部分的DP细胞都会死去。

*   DP主要向SP分化，少部分经agonist selection筛选出nTreg和NKT
*   nTreg：CD4+CD25+，对pMHC亲和性高于CD4+T，对自身的pMHC也有高亲和性，不经历阴性选择。
*   NKT：本质是T细胞而非NK细胞，只是不识别MHC而是识别CD1。

一个T细胞的命运就在阳性选择的过程中被决定。在双阳性(CD4+/CD8+)T细胞中，能够与MHC Ⅱ类分子结合得较好的将成为CD4+细胞，而和MHC Ⅰ类分子有更高亲和力的将成为CD8+细胞。将成为CD4+细胞的细胞将会逐渐下调自己的CD8，最终成为单阳性的CD4+细胞。

在阳性选择中存活下来的T细胞将会向胸腺皮质边缘和髓质区迁移；而阴性选择发生于胸腺皮质深层的 DP细胞阶段、皮髓交界以及髓质的 SP细胞阶段，可能和胸腺细胞与抗原遭遇部位有关。在髓质区，它们会接触到mTECs（胸腺髓质上皮细胞）表面的自体抗原，mTECs会在它们的MHC Ⅰ类分子上呈递来自全身各个组织的自体抗原。一些mTECs被胸腺树状细胞吞噬，它们的自体抗原就会呈递在树状细胞的MHC Ⅱ类分子上。与自体抗原表现出过强的亲和力的T细胞会接收到凋亡信号并凋亡。存活下来的细胞就作为成熟的初级T细胞离开胸腺。

### [B细胞在骨髓中的发育](https://zhuanlan.zhihu.com/p/56292578)

CLP分化为B细胞谱系，在骨髓特定的位置中经历阳性和阴性选择。被选择的B细胞可迁移到SLO（包括脾脏或淋巴结）。从骨髓迁移至血液和脾脏的B细胞被称为过渡1（T1）B细胞。进入脾脏后，T1 B细胞可逐渐发育成熟并成为过渡2（T2）B细胞。在脾脏中，T2 B细胞将转变为滤泡性（FO）B细胞、边缘区（MZ）B细胞或B1细胞（人）。

![](https://img-cdn.limour.top/blog/20220324013204.png)

细胞在骨髓的发育为抗原非依赖性，分为早期祖 B 细胞（early pro-Bcell）、晚期祖 B细胞（late pro-B cell）、大前 B细胞（large pre-B cell）、小前 B细胞（small pre-B cell），以及未成熟 B细胞（immature B cell）阶段

基质细胞表达酪氨酸激酶受体 FLT3 的配体，与多能祖细胞表面的 FLT3 结合，FLT3 信号刺激多能祖细胞表达 IL-7受体（IL-7R），同时FLT3信号能够刺激多能祖细胞表达B细胞定向分化相关转录因子PU.1。PU.1和 Ikaros 通过调控 B细胞谱系转录因子 E2A和 EBF 在 pro-B细胞的转录表达，促进 B细胞的定向分化。IL-7 能驱动定向祖B和T细胞增殖，是 T和 B细胞生存发育的关键细胞因子。另外，基质细胞与pro-B细胞之间的VCAM-1/VLA-4 非特异性黏附，增强基质细胞表面的 SCF 与 pro-B细胞上的酪氨酸激酶受体c-Kit 的结合，促进 pro-B细胞增殖。

*   early Pro-B cell阶段，D区片段无论以哪种读码框都能翻译出有功能的蛋白，D-J重组的效率很高。
*   late Pro-B cell阶段，V-DJ重组只有1/3的细胞在第一次成功，剩余2/3细胞不能表达有功能的重链，只能用剩余的同源染色体再进行一次重组。这样两次加起来一共有不到5/9的细胞能表达有功能的重链。这些无法正常表达重链的细胞将凋亡。
*   等位排斥（allelic exclusion）：一旦有一条重链表达成功，Igβ传递的信号就会迅速让RAG基因停止表达，诱导Rag1/2泛素化降解，并通过表观遗传调节重链区域的染色质使其不易发生重组。  
    如果B细胞能表达两种不同的有功能重链，则抗体的两个抗原结合部位可以结合不同抗原，这样抗体分子的专一性就会不高，对抗原的亲和力avidity也会下降。尤其是IgM分子，有10个抗原结合区域，结合能力将大不如拥有同一可变区的抗体。

在pro-B cell阶段，B细胞还未进行轻链重组，为了检验是否合成有功能的重链，B细胞会同时表达VpreB和λ5两种蛋白与重链μ chain结合。VpreB与轻链的V区结构类似，而λ5与C区类似，两者共同形成伪轻链（surrogate light chain），与重组的重链组合成pre-B cell receptor。pre-B cell receptor与成熟B细胞的BCR结构十分接近。在BCR旁还会同时表达Igα和Igβ两种辅助分子，他们在受体与抗原结合时激活下游信号通路。如果Pre-B cell可以表达有功能的重链（即：能成功在内质网中表达，能与伪轻链结合，能与Igβ结合，形成pre-B cell receptor）则通过Igβ向细胞内发送存活信号（survival signal），否则，细胞将按设定程序凋亡。

Large pre-B cell是成功表达重链并通过B细胞第一个检查点的细胞。每个large pre-B细胞都会经历几轮细胞分裂，产生大约100个含相同μ链的细胞（small pre-B cell）。

此时细胞不再表达pre B-cell receptor。RAG基因再次被激活，开始下一轮轻链重组。轻链重组分为四次，首先进行重组的是κ链V-J区域。与重链重组相比，轻链重组最大的不同之处在于：如果一次重组失败，细胞可以在基因座剩余片段（V区5'端，J区3'端）上继续重组，直到重组成功或者用完所有片段。如过一条染色体上的κ链重组失败，还有另一条染色体；如果两条κ都重组失败，再试试两条λ链。这样，大约85%的small pre-B细胞能成功表达IgM受体，经历淘汰后剩余不到一半B细胞成为不成熟B细胞。同样，在成功合成一条有功能的轻链后，B细胞表面Igα/Igβ受体会传递信号关闭RAG等重组酶功能，形成等位排斥和同型排斥（isotype exclusion, κ链重排成功后会抑制λ链基因重排）

小前 B细胞完成轻链可变区基因重排和 μ链组装，在细胞表面表达完整 IgM抗原受体，成为未成熟 B细胞。在止此阶段，B细胞库中表达自身反应性 BCR 的未成熟 B细胞克隆，根据识别的配体特性不同，将通过克隆删除（clonal deletion）、受体编辑（receptor editing）、免疫不应答或克隆失能（anergy），以及免疫忽视（immunological ignorance）这4种机制，保证成熟 B细胞库对自身抗原的免疫耐受。

当 BCR 被多价自身抗原广泛交联后，通常诱导自身反应性B细胞凋亡或克隆删除，但也会促发自身反应性未成熟 B细胞重新表达RAG，轻链发生重排（受体编辑）。若产生的 BCR不再具有自身反应性，则B细胞继续发育;也有可能轻链重排后BCR的自身反应性仍无法改变，细胞将发生凋亡。

当BCR 被低价抗原轻度交联后，如可溶性蛋白，会诱导自身反应性未成熟 B细胞处于免疫不应答或失能状态而不是立即死亡。失能 B 细胞可以发育成熟，迁移到外周免疫器官，但只能停留在 T细胞区，而无法进入淋巴滤泡。因为自身反应性 T细胞处于耐受状态，无法得到抗原特异性 T细胞辅助的失能 B细胞易发生凋亡。免疫忽视 B细胞虽然表达自身反应性 BCR，但由于自身抗原在骨髓中不表达、表达量低或亲和力低等原因，使 B 细胞对自身抗原的存在未能感知和应答。免疫忽视B细胞不同于免疫失能 B细胞，在外周免疫器官，如果遭遇到自身抗原或自身抗原水平发生显著增加，这类具有自身反应性潜能的 B 细胞可以从免疫忽视状态转变为免疫应答状态。